Name:		bluez-gnome
Version:	0.26
Release:	1%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPLv2+
URL:		http://www.bluez.org/
Source0:	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
Patch1:		bluez-gnome-remove-class-file-sharing.patch
Patch2:		bluez-gnome-sendto-palm.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser intltool
BuildRequires:	desktop-file-utils gettext
BuildRequires:	hal-devel

Obsoletes:	bluez-pin
Provides:	dbus-bluez-pin-helper
Requires:	gvfs >= 0.1.11-2
Requires:	obex-data-server

Requires(post): shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%prep
%setup -q
%patch1 -p0 -b .remove-class
%patch2 -p0 -b .sendto

%build
%configure --disable-mime-update --disable-desktop-update --disable-icon-update
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ $RPM_BUILD_ROOT%{_datadir}/gnome/

desktop-file-install --vendor=""				\
	--add-category=X-GNOME-NetworkSettings			\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""				\
	--remove-category=Application				\
	--remove-category=Utility				\
	--add-category=GTK					\
	--add-category=System					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-analyzer.desktop

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_datadir}/man/man1/bluetooth-applet.1.gz
%{_datadir}/man/man1/bluetooth-properties.1.gz
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/bluetooth-sendto.1.gz
%doc README COPYING AUTHORS ChangeLog

%files analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_datadir}/man/man1/bluetooth-analyzer.1.gz

%changelog
* Tue Apr 08 2008 - Bastien Nocera <bnocera@redhat.com> - 0.26-1
- Update to 0.26

* Fri Mar 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.25-1
- Update to 0.25 (crash fix)

* Fri Mar 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.24-2
- Fix crasher when removing the default adapter

* Fri Mar 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.24-1
- Update to 0.24

* Tue Mar 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.23-2
- Add dependency on a gvfs with ObexFTP support

* Sun Feb 24 2008 - Bastien Nocera <bnocera@redhat.com> - 0.23-1
- Update to 0.23

* Fri Feb 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.22-1
- Update to 0.22

* Fri Feb 15 2008 - Bastien Nocera <bnocera@redhat.com> - 0.21-2
- Update the patch to hide the "Class of device" selection widget,
  avoids a crasher on startup with unstable releases of gnome-session

* Wed Feb 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.21-1
- Update to 0.21

* Tue Feb 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.20-1
- Update to 0.20

* Tue Feb 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.19-1
- Update to 0.19

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.18-2
- Add patch to make the search button work

* Mon Feb 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.18-1
- Update to 0.18

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.17-2
- Update the patch to remove the class setting

* Thu Feb 07 2008 - Bastien Nocera <bnocera@redhat.com> - 0.17-1
- Update to 0.17
- Update new sendto patch

* Wed Feb 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.16-2
- Re-add the sendto patch, we don't want the old stuff

* Wed Feb 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.16-1
- Update to 0.16

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-3
- Add requires on obex-data-server for bluetooth-sendto

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-2
- Add patch to update the sendto binary

* Wed Jan 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.15-1
- Update to 0.15
- Add patch to remove the useless hardware type selection

* Tue Oct 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.14-9
- Rebuild against new dbus-glib

* Wed Oct 10 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-8
- Require gnome-vfs2-obexftp, so that the functionality works
  as expected (#326231)

* Sat Oct 06 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-7
- Provide virtual dbus-bluez-pin-helper for bluez-utils to use
  (#212421)

* Wed Oct 03 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-6
- Fix location of the autostart desktop file (#316101)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-5
- Don't allow class of the device to be changed if HAL is being
  used (#244261)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-4
- Only show and start the bluez-gnome bits in GNOME (#258721)

* Tue Sep 18 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-3
- Split out the analyzer so it's not installed by default
- Don't prefix the properties .desktop with fedora for no reason

* Fri Aug 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-2
- Remove the obex BR, we're not using it yet
- Build with HAL support

* Wed Aug 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-1
- Update to 0.14

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.13-3
- Rebuild for build ID

* Thu Aug  9 2007  Matthias Clasen <mclasen@redhat.com> - 0.13-2
- Move the analyzer to a better place in the menus
- Use desktop-file-install for all desktop files
- Update the license field

* Wed Aug 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.13-1
- Update to 0.13

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-1
- Update to 0.12

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.11-1
- Update to 0.11

* Sun Jul 29 2007 Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10
- Add the analyser's desktop file

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> - 0.9-1
- Update to 0.9

* Sat Jul 07 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-2
- Only install and uninstall our own schema file (#247330)

* Thu Jun 14 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-1
- Update to 0.8
- Punt outdated patches
- Add man pages, and translations
- Add GConf and desktop file updating scriplets

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Add X-GNOME-NetworkSettings to desktop file categories
- Use desktop-file-install
 
* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
